local coroutineEntity = monocle.Entity()

function onTalk(room)
  disableMovement()
  coroutine.yield(getLevel():ZoomTo(vector2(160, 90), 1.3, 1.5))
  say("crystalTalkSolaris_MiniStar4")
  player.ForceCameraUpdate = false
  player.ForceCameraUpdate = true
  setFlag("DonkLuxCrystal_Man_Mini4", True)
  playSound("event:/game/general/wall_break_ice", player.Position)
  wait(0.5)
  coroutine.yield(engine.Scene:ZoomBack(2))
end

function onEnd(room, wasSkipped)
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
end